#include "guess.h"

int find_number(int MAX) {
    int l = 1, r = MAX;
    while (l < r) {
        int md = (l + r) / 2;
        if (smaller(md))
            r = md;
        else
            l = md + 1;
    }
    return l;
}
